#!/bin/csh

# This scripts runs javadoc on all packages whose source code site 
# under "code", and creates HTML documentation in the directory "javadoc".

# The -sourcepath and -d options specify the source and target directories.
# The -package options requests that "package private" methods be
# documented along with the public and protected ones.
# The -link options enables links to Sun's docs for standard Java API
# classes.

javadoc  -package  -sourcepath src -d javadoc \
    absurdist bnb common driver graph gui penalty test


#      -link http://java.sun.com/products/jdk/1.2/docs/api \
